﻿varying mediump vec2 vTex;
uniform lowp sampler2D samplerFront;
uniform lowp vec3 setColor;
uniform mediump float blend;

void main(void)
{
	lowp vec4 front = texture2D(samplerFront, vTex);
	
	gl_FragColor = mix(front, vec4(vec3(setColor) * front.a, front.a), blend);
}
